import { setRequest } from "@/utils/httpRequest";

/**
 * 11.1.1设备管理--在线设备列表
 */
export const device_manager_list_od = (data) =>
  setRequest("device_manager/list_od", data);
/**
 * 11.1.2设备管理--疑似托管设备列表
 */
export const device_manager_list_hd = (data) =>
  setRequest("device_manager/list_hd", data);
/**
 * 11.1.3设备管理--违规设备列表
 */
export const device_manager_list_vd = (data) =>
  setRequest("device_manager/list_vd", data);
/**
 * 11.1.3.2违规设备--违规详情
 */
export const device_manager_detail_vd = (data) =>
  setRequest("device_manager/detail_vd", data);
/**
 * 11.1.4设备管理--设备管理列表
 */
export const device_manager_list_d = (data) =>
  setRequest("device_manager/list_d", data);
/**
 * 11.1.4.2设备管理--设备导出列表
 */
export const device_manager_export_d = (data) =>
  setRequest("device_manager/export_d", data);
/**
 * 11.1.4.3设备管理--安装应用导出列表
 */
export const device_manager_export_id = (data) =>
  setRequest("device_manager/export_id", data);
/**
 * 11.1.4.4设备管理--查看
 */
export const device_manager_detail_d = (data) =>
  setRequest("device_manager/detail_d", data);
/**
 * 11.3.1设备导入--列表（按详情）
 */
export const deviceAuth_list = (data) => setRequest("deviceAuth/list", data);
/**
 * 11.3.1.2设备导入--列表（按批次）
 */
export const deviceAuth_list_batch = (data) =>
  setRequest("deviceAuth/list_batch", data);
/**
 * 11.3.2设备导入--新增（按详情）
 */
export const deviceAuth_add = (data) => setRequest("deviceAuth/add", data);
/**
 * 11.3.3设备导入--更新（按详情）
 */
export const deviceAuth_edit = (data) => setRequest("deviceAuth/edit", data);
/**
 * 11.3.4设备导入--删除（按详情）
 */
export const deviceAuth_delete = (data) =>
  setRequest("deviceAuth/delete", data);
/**
 * 11.3.4.2设备导入--批量删除（按详情）
 */
export const deviceAuth_batch_delete = (data) =>
  setRequest("deviceAuth/batch_delete", data);
/**
 * 11.3.5设备导入--导入
 */
export const deviceAuth_import = (data) =>
  setRequest("deviceAuth/import", data);
/**
 * 11.3.6设备导入--详情（按批次）
 */
export const deviceAuth_list_sn = (data) =>
  setRequest("deviceAuth/list_sn", data);
/**
 * 11.3.7设备导入--删除（按批次）
 */
export const deviceAuth_delete_db = (data) =>
  setRequest("deviceAuth/delete_db", data);
/**
 * 11.4.1设备导出--列表
 */
export const deviceAuth_list_export = (data) =>
  setRequest("deviceAuth/list_export", data);
/**
 * 11.4.2设备导出--导出
 */
export const deviceAuth_export = (data) =>
  setRequest("deviceAuth/export", data);
/**
 * 11.4.3设备导出--查看
 */
export const deviceAuth_edetail = (data) =>
  setRequest("deviceAuth/edetail", data);
